Debian Bug report logs - #612628
udev: removal of uinput rule breaks acpi-fakekey

version graph

Package: acpi-fakekey; Maintainer for acpi-fakekey is Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>; Source for acpi-fakekey is src:acpi-support.

Reported by: Sven Joachim <svenjoac@gmx.de>

Date: Wed, 9 Feb 2011 17:00:01 UTC

Severity: important

Fixed in version acpi-support/0.138-7

Done: Michael Meskes <meskes@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, svenjoac@gmx.de, pkg-acpi-devel@lists.alioth.debian.org, Marco d'Itri <md@linux.it>:
Bug#612628; Package udev. (Wed, 09 Feb 2011 17:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
New Bug report received and forwarded. Copy sent to svenjoac@gmx.de, pkg-acpi-devel@lists.alioth.debian.org, Marco d'Itri <md@linux.it>. (Wed, 09 Feb 2011 17:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: udev: removal of uinput rule breaks acpi-fakekey
Date: Wed, 09 Feb 2011 17:56:30 +0100
Package: udev
Version: 165-1
Severity: important
X-Debbugs-CC: Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>

The removal of the input/uinput symlink breaks the acpi-fakekey package
whose initscript now refuses to start:

,----
| # /etc/init.d/acpi-fakekey start
| Starting acpi_fakekey daemon...open device: No such file or directory
| failed (Could not start /usr/sbin/acpi_fakekeyd).
`----

Running under strace confirms that /dev/input/uinput is the file
acpi_fakeyd was looking for.


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.38-rc4-nouveau+ (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages udev depends on:
ii  debconf [debconf-2.0]        1.5.38      Debian configuration management sy
ii  libc6                        2.11.2-11   Embedded GNU C Library: Shared lib
ii  libselinux1                  2.0.96-1    SELinux runtime shared libraries
ii  libudev0                     165-1       libudev shared library
ii  libusb-0.1-4                 2:0.1.12-17 userspace USB programming library
ii  lsb-base                     3.2-27      Linux Standard Base 3.2 init scrip
ii  util-linux                   2.17.2-9    Miscellaneous system utilities

Versions of packages udev recommends:
ii  pciutils                      1:3.1.7-6  Linux PCI Utilities
ii  usbutils                      1:001-1    Linux USB utilities

udev suggests no packages.

-- debconf information:
  udev/new_kernel_needed: false
  udev/title/upgrade:
  udev/reboot_needed:
  udev/sysfs_deprecated_incompatibility:




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#612628; Package udev. (Wed, 09 Feb 2011 17:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 09 Feb 2011 17:12:05 GMT) Full text and rfc822 format available.

Message #10 received at 612628@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Sven Joachim <svenjoac@gmx.de>, 612628@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#612628: udev: removal of uinput rule breaks acpi-fakekey
Date: Wed, 9 Feb 2011 18:09:52 +0100
[Message part 1 (text/plain, inline)]
reassign 612628 acpi-fakekey
thanks

On Feb 09, Sven Joachim <svenjoac@gmx.de> wrote:

> The removal of the input/uinput symlink breaks the acpi-fakekey package
> whose initscript now refuses to start:
It should have been fixed long ago.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'udev' to 'acpi-fakekey'. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Wed, 09 Feb 2011 17:12:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions udev/165-1. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Wed, 09 Feb 2011 17:12:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#612628; Package acpi-fakekey. (Wed, 09 Feb 2011 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Wed, 09 Feb 2011 17:57:03 GMT) Full text and rfc822 format available.

Message #19 received at 612628@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 612628@bugs.debian.org
Cc: md@Linux.IT (Marco d'Itri)
Subject: Re: Bug#612628: udev: removal of uinput rule breaks acpi-fakekey
Date: Wed, 09 Feb 2011 18:53:56 +0100
On 2011-02-09 18:09 +0100, Marco d'Itri wrote:

> reassign 612628 acpi-fakekey
> thanks
>
> On Feb 09, Sven Joachim <svenjoac@gmx.de> wrote:
>
>> The removal of the input/uinput symlink breaks the acpi-fakekey package
>> whose initscript now refuses to start:
> It should have been fixed long ago.

Opening /dev/uinput instead of /dev/input/uinput works for me:

--8<---------------cut here---------------start------------->8---
diff --git a/debian/patches/acpi_fakekey.diff b/debian/patches/acpi_fakekey.diff
index 6a2a2cb..ea1ed4b 100644
--- a/debian/patches/acpi_fakekey.diff
+++ b/debian/patches/acpi_fakekey.diff
@@ -155,7 +155,7 @@ diff -Nru /tmp/clWVJzRiJd/acpi-support-0.115/Makefile /tmp/Umsn0ebzYy/acpi-suppo
 +	struct uinput_user_dev dev;
 +	fd_set sfd;
 +
-+	if ((fd = open("/dev/input/uinput", O_WRONLY | O_NDELAY)) == -1)
++	if ((fd = open("/dev/uinput", O_WRONLY | O_NDELAY)) == -1)
 +		fail("open device");
 +
 +	memset(&dev, 0, sizeof(dev));
--8<---------------cut here---------------end--------------->8---

Don't know if there are older kernels that don't have /dev/uinput,
though.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#612628; Package acpi-fakekey. (Wed, 09 Feb 2011 22:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Wed, 09 Feb 2011 22:36:07 GMT) Full text and rfc822 format available.

Message #24 received at 612628@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Sven Joachim <svenjoac@gmx.de>
Cc: 612628@bugs.debian.org
Subject: Re: Bug#612628: udev: removal of uinput rule breaks acpi-fakekey
Date: Wed, 9 Feb 2011 19:16:43 +0100
[Message part 1 (text/plain, inline)]
On Feb 09, Sven Joachim <svenjoac@gmx.de> wrote:

> Don't know if there are older kernels that don't have /dev/uinput,
> though.
udev << 164-3, i.e. the package in squeeze.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Reply sent to Michael Meskes <meskes@debian.org>:
You have taken responsibility. (Thu, 10 Feb 2011 17:06:09 GMT) Full text and rfc822 format available.

Notification sent to Sven Joachim <svenjoac@gmx.de>:
Bug acknowledged by developer. (Thu, 10 Feb 2011 17:06:09 GMT) Full text and rfc822 format available.

Message #29 received at 612628-close@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: 612628-close@bugs.debian.org
Subject: Bug#612628: fixed in acpi-support 0.138-7
Date: Thu, 10 Feb 2011 17:03:33 +0000
Source: acpi-support
Source-Version: 0.138-7

We believe that the bug you reported is fixed in the latest version of
acpi-support, which is due to be installed in the Debian FTP archive:

acpi-fakekey_0.138-7_amd64.deb
  to main/a/acpi-support/acpi-fakekey_0.138-7_amd64.deb
acpi-support-base_0.138-7_all.deb
  to main/a/acpi-support/acpi-support-base_0.138-7_all.deb
acpi-support_0.138-7.diff.gz
  to main/a/acpi-support/acpi-support_0.138-7.diff.gz
acpi-support_0.138-7.dsc
  to main/a/acpi-support/acpi-support_0.138-7.dsc
acpi-support_0.138-7_all.deb
  to main/a/acpi-support/acpi-support_0.138-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 612628@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Meskes <meskes@debian.org> (supplier of updated acpi-support package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 10 Feb 2011 12:03:35 +0100
Source: acpi-support
Binary: acpi-support acpi-support-base acpi-fakekey
Architecture: source all amd64
Version: 0.138-7
Distribution: unstable
Urgency: low
Maintainer: Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>
Changed-By: Michael Meskes <meskes@debian.org>
Description: 
 acpi-fakekey - tool to generate fake key events
 acpi-support - scripts for handling many ACPI events
 acpi-support-base - scripts for handling base ACPI events such as the power button
Closes: 609276 611699 612628
Changes: 
 acpi-support (0.138-7) unstable; urgency=low
 .
   * Use /dev/uinput instead of the no longer existing /dev/input/uinput.
     (Closes: #612628) - thanks to Sven Joachim <svenjoac@gmx.de>
   * Use a smaller canon (no forks) to edit /tmp/.X11-unix/* (Closes:
     #609276) - thanks to Cristian Ionescu-Idbohrn <cristian.ionescu-
     idbohrn@axis.com>
   * Added a small explanation why some packages are recommended.
     (Closes: #611699)
Checksums-Sha1: 
 07616fa3dae0974d174ad15c86730663a27ad4c8 1234 acpi-support_0.138-7.dsc
 17899611f15ee89befe0750d202365e117313b96 61753 acpi-support_0.138-7.diff.gz
 541d39e21f05de13a1afd2ad06b484eef5793734 51834 acpi-support_0.138-7_all.deb
 70540fd5c0fb74214f8b845b97bd1017501f7690 20828 acpi-support-base_0.138-7_all.deb
 7ed36fb1b83b2097f43c9abbcfad4fd77786d98a 22776 acpi-fakekey_0.138-7_amd64.deb
Checksums-Sha256: 
 8059dbf0c357c74d4b4be78c713c7a3ee5557d585985a1dbd1b38bfa607cbc5f 1234 acpi-support_0.138-7.dsc
 6e3882914d1e444a1d67dc90968211db194299bb0a49994ec1ca0513cee58ae3 61753 acpi-support_0.138-7.diff.gz
 fecaf8ae7a6a12d64347add916be4e70a926d7a161b54990e38cd776893028ed 51834 acpi-support_0.138-7_all.deb
 6d8b640d57d53b86b3ec4dcaca06dc452baf6e99a0ee5f00734632dfac6b4fc4 20828 acpi-support-base_0.138-7_all.deb
 bb3a4c49f54b1ecbf20fbe2f91af3b5244eb3df4ac1931d733089682c1477b83 22776 acpi-fakekey_0.138-7_amd64.deb
Files: 
 e45502bc2fac3e784247e06ffb04942c 1234 admin optional acpi-support_0.138-7.dsc
 c3871032aac1966cb1842c28f55b430d 61753 admin optional acpi-support_0.138-7.diff.gz
 2a15ed15b3811c1d3d47e7733a7f5b83 51834 admin optional acpi-support_0.138-7_all.deb
 29ede2148d808f86d5a065ddc86c1dd0 20828 admin optional acpi-support-base_0.138-7_all.deb
 23a386a8fb6edc98ff62044af1da26c4 22776 admin optional acpi-fakekey_0.138-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFNU9T6VkEm8inxm9ERAoVwAJ9/OXummFLTMuOZVf1IFIrZDoOicgCfTw1P
2CEZSLYuodsa3tHvLuVh/Xw=
=QXXU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 21 Mar 2011 07:33:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:57:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.